Bug 451 - Не запоминается время
: Не запоминается время
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apmd)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-01-25 16:30 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-01-25 16:30:02
При засыпании компьютера по apm -s текущее время не сохраняется в BIOS. После
просыпания время сбивается.

Может быть стоит добавить в /etc/sysconfig/apm-scripts/apmscript 
вызовы hwclock???
---

---
------- Comment #1 From 2002-01-25 17:11:46 -------
Попробуй (по аналогии со включением) добавить в нужную секцию
[ \"$CLOCK_SYNC\" == no ] || /etc/init.d/clock sync
&>/dev/null

Работает?
------- Comment #2 From 2002-01-25 17:11:46 -------
Попробуй (по аналогии со включением) добавить в нужную секцию
[ \"$CLOCK_SYNC\" == no ] || /etc/init.d/clock sync
&>/dev/null

Работает?
------- Comment #3 From 2002-01-25 17:36:58 -------
Нет, не так:
В секцию suspend:
[ \"$CLOCK_SYNC\" == no ] || /etc/init.d/clock stop &>/dev/null 
// записывает системное время в BIOS
В секцию resume:
[ \"$CLOCK_SYNC\" == no ] || /etc/init.d/clock start &>/dev/null 

Так работает.
------- Comment #4 From 2002-01-25 17:36:58 -------
Нет, не так:
В секцию suspend:
[ \"$CLOCK_SYNC\" == no ] || /etc/init.d/clock stop &>/dev/null 
// записывает системное время в BIOS
В секцию resume:
[ \"$CLOCK_SYNC\" == no ] || /etc/init.d/clock start &>/dev/null 

Так работает.
------- Comment #5 From 2002-01-25 18:43:14 -------
start ведь уже есть в секции resume!
а в suspend нужно не \"stop\", а \"sync\".
------- Comment #6 From 2002-01-25 18:43:14 -------
start ведь уже есть в секции resume!
а в suspend нужно не \"stop\", а \"sync\".
------- Comment #7 From 2002-01-25 19:17:19 -------
Тогда стоит подправить в /etc/rc.d/init.d/clock текст сообщения. Там сейчас:

Syncing hwclock to system time$CLOCKDEF

Ну а должно быть наоборот - системное время в hwclock.
------- Comment #8 From 2002-01-25 19:17:19 -------
Тогда стоит подправить в /etc/rc.d/init.d/clock текст сообщения. Там сейчас:

Syncing hwclock to system time$CLOCKDEF

Ну а должно быть наоборот - системное время в hwclock.
------- Comment #9 From 2002-01-25 19:32:10 -------
разумеется.
но это уже к пакету initscripts.
------- Comment #10 From 2002-01-25 19:32:10 -------
разумеется.
но это уже к пакету initscripts.
------- Comment #11 From 2002-04-12 03:25:16 -------
Что с багой делать будем?
------- Comment #12 From 2002-04-12 03:25:16 -------
Что с багой делать будем?
------- Comment #13 From 2002-09-28 21:35:08 -------
Фиксить
(это просто напоминание самому себе).
------- Comment #14 From 2002-09-28 21:35:08 -------
Фиксить
(это просто напоминание самому себе).
------- Comment #15 From 2002-11-25 02:43:05 -------
Fixed?
------- Comment #16 From 2002-11-25 02:43:05 -------
Fixed?
------- Comment #17 From 2002-12-09 12:29:18 -------
Не повторяется на новом apmd
------- Comment #18 From 2002-12-09 12:29:18 -------
Не повторяется на новом apmd